## jcat-result

jcat-result

## Functions

gchar * | jcat_result_to_string ()
gint64 | jcat_result_get_timestamp ()
const gchar * | jcat_result_get_authority ()
JcatBlobKind | jcat_result_get_kind ()
JcatBlobMethod | jcat_result_get_method ()

## Types and Values

#define | JCAT_TYPE_RESULT
| JcatResult

## Description

## Functions

### jcat_result_to_string ()

    gchar *
    jcat_result_to_string (JcatResult *self);

Converts the JcatResult to a string.

#### Parameters

self | JcatResult |

#### Returns

string

Since: 0.1.0

### jcat_result_get_timestamp ()

    gint64
    jcat_result_get_timestamp (JcatResult *self);

Gets the signing timestamp, if set.

#### Parameters

self | JcatResult |

#### Returns

UNIX timestamp, or 0 if unset

Since: 0.1.0

### jcat_result_get_authority ()

    const gchar *
    jcat_result_get_authority (JcatResult *self);

Gets the signing authority, if set.

#### Parameters

self | JcatResult |

#### Returns

string, or `NULL`

Since: 0.1.0

### jcat_result_get_kind ()

    JcatBlobKind
    jcat_result_get_kind (JcatResult *self);

Gets the blob kind.

#### Parameters

self | JcatResult |

#### Returns

JcatBlobKind, e.g. `JCAT_BLOB_KIND_SHA256`

Since: 0.1.3

### jcat_result_get_method ()

    JcatBlobMethod
    jcat_result_get_method (JcatResult *self);

Gets the verification kind.

#### Parameters

self | JcatResult |

#### Returns

JcatBlobMethod, e.g. `JCAT_BLOB_METHOD_SIGNATURE`

Since: 0.1.3

## Types and Values

### JCAT_TYPE_RESULT

    #define JCAT_TYPE_RESULT (jcat_result_get_type())

### JcatResult

    typedef struct _JcatResult JcatResult;